policykit-1-gnome_0.105-2_i386.deb


Advertisement

Description

policykit-1-gnome - GNOME authentication agent for PolicyKit-1

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name policykit-1-gnome
Package version 0.105
Package release 2
Package architecture i386
Package type deb
Installed size 796 B
Download size 85.42 KB
Official Mirror ftp.br.debian.org
PolicyKit-gnome provides a D-Bus session bus service that is used to
bring up authentication dialogs used for obtaining privileges.

Alternatives

Package Version Architecture Repository
policykit-1-gnome_0.105-2_amd64.deb 0.105 amd64 Debian Main
policykit-1-gnome - - -

Requires

Name Value
libc6 >= 2.3.6-6~
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.30.0
libgtk-3-0 >= 3.0.0
libpolkit-agent-1-0 >= 0.99
libpolkit-gobject-1-0 >= 0.99
policykit-1 -

Download

Type URL
Binary Package policykit-1-gnome_0.105-2_i386.deb
Source Package policykit-1-gnome

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install policykit-1-gnome deb package:
    # sudo apt-get install policykit-1-gnome

Files

Path
/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
/usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1
/usr/share/doc/policykit-1-gnome/AUTHORS
/usr/share/doc/policykit-1-gnome/NEWS.gz
/usr/share/doc/policykit-1-gnome/README
/usr/share/doc/policykit-1-gnome/TODO
/usr/share/doc/policykit-1-gnome/changelog.Debian.gz
/usr/share/doc/policykit-1-gnome/copyright
/usr/share/locale/ar/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/be/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/bn_IN/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ca/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ca@valencia/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/cs/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/da/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/de/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/el/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/en_GB/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/eo/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/es/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/eu/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/fi/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/fr/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/gl/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/gu/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/he/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/hi/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/hu/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/id/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/it/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ja/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/kn/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ko/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/lt/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ml/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/mr/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/nb/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/or/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/pa/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/pl/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/pt/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/pt_BR/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ro/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ru/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/sk/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/sl/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/sr/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/sr@latin/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/sv/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/ta/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/te/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/th/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/tr/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/uk/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/vi/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/zh_CN/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/zh_HK/LC_MESSAGES/polkit-gnome-1.mo
/usr/share/locale/zh_TW/LC_MESSAGES/polkit-gnome-1.mo

Changelog

2012-01-28 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.105-2) unstable; urgency=low
* Drop 0001-Revert-Drop-marshaller-complications.patch and add an explizit
Build-Depends on libglib2.0-dev (>= 2.30) instead.
* Fix versioned Build-Depends on dpkg-dev.
The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
2011-11-12 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.105-1) unstable; urgency=low
* New upstream release.
* Refresh debian/patches/0001-Revert-Drop-marshaller-complications.patch.
* Enable default hardening options from dpkg-buildflags.
- Use buildflags.mk snippet in debian/rules.
- Add Build-Depends on dpkg-dev (>= 1.6.1).
2011-10-25 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.104-2) unstable; urgency=low
* Revert upstream commit which drops the custom marshaller and uses the
generic marshaller from GLib. This requires GLib >= 2.30 which is not yet
in unstable. (Closes: #646521)
* Use dh-autoreconf to update the build system.
2011-10-22 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.104-1) unstable; urgency=low
[ Martin Pitt ]
* debian/polkit-gnome-authentication-agent-1.desktop: Add Unity to
OnlyShowIn.
[ Michael Biebl ]
* debian/watch:
- Track .xz tarballs.
- Change the download location to the GNOME ftp server.
* New upstream release.
* Drop libpolkit-gtk packages, removed upstream.
* Update Build-Depends on libgtk2.0-dev to libgtk-3-dev (>= 3.0.0).
2011-09-26 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.102-2) unstable; urgency=low
* Drop Build-Depends on libdbus-glib-1-dev (ported to GDBus).
* Don't start PolicyKit authentication agent in a default GNOME 3 desktop
session as gnome-shell provides its own implementation. (Closes: #619432)
2011-08-16 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.102-1) unstable; urgency=low
* New upstream release.
* Remove brace expansion from .install file.
* Bump Standards-Version to 3.9.2. No further changes.
2011-03-25 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.101-2) unstable; urgency=low
* Upload to unstable.
2011-03-04 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.101-1) experimental; urgency=low
* New upstream release.
* Update patches
- Drop debian/patches/01-fix-autostart.patch, obsolete.
- Drop debian/patches/03-po-pt_BR.patch, merged upstream.
- Refresh debian/patches/02-select-default-user.patch to apply cleanly.
* Switch from cdbs to dh.
* Bump debhelper compatibility level to 8.
* Install documentation using debian/policykit-1-gnome.docs.
* Ship a copy of the old autostart file for the PolicyKit authentication
agent. It was removed upstream in preparation for GNOME3 which starts its
own authentication agent.
2011-02-10 - Michael Biebl <biebl@debian.org>
policykit-1-gnome (0.99-2) unstable; urgency=low
[ Robert Ancell ]
* Drop 03-dialog-focus.patch. PolicyKit does not allow non-root applications
to set details (LP: #685655)
[ Michael Biebl ]
* Upload to unstable.
2010-11-04 - Martin Pitt <mpitt@debian.org>
policykit-1-gnome (0.99-1) experimental; urgency=low
[ Michael Biebl ]
* New upstream release.
- Port to GDBus fixes recursion in type registration. (Closes: #567303)
* debian/patches/00git-hide-agent-autostart.patch
- Remove, merged upstream.
* Switch to source format 3.0 (quilt).
- Add debian/source/format.
- Drop Build-Depends on quilt.
- Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
- Remove debian/README.source.
* debian/control
- Bump Standards-Version to 3.9.1. No further changes.
- Bump Build-Depends on libpolkit-agent-1-dev and libpolkit-gobject-1-dev
to (>= 0.97).
[ Robert Ancell ]
* Add debian/patches/03-dialog-focus.patch: Add toplevel_xid to set
transient window for authentication dialog. This ensures that the auth
window gets and keeps focus when it pops up. (LP: #433851)

See Also

Package Description
policykit-1_0.105-15~deb8u2_i386.deb framework for managing administrative policies and privileges
policyrcd-script-zg2_0.1-2_all.deb policy-compliant interface from invoke-rc.d to local config files
polipo_1.1.1-5_i386.deb lightweight, caching web proxy
polkit-kde-1_0.99.1-1_i386.deb KDE dialogs for PolicyKit
polybori-doc_0.8.3-3_all.deb polynomials over Boolean Rings, documentation
polybori-gui_0.8.3-3+b2_i386.deb polynomials over Boolean Rings, GUI
polybori_0.8.3-3+b2_i386.deb polynomials over Boolean Rings, custom ipython shell
polygen-data_1.0.6.ds2-13.1_all.deb grammar definitions for PolyGen
polygen_1.0.6.ds2-13.1_all.deb generator of random sentences from grammar definitions
polyglot_2.0.1+git20140926-1_i386.deb chess engine protocol adaptor, connects UCI engines to xboard
polygraph_4.3.2-1.1_i386.deb performance testing tool for caching proxies and more
polylib-utils_5.22.5-3+dfsg_i386.deb Various tools using libpolylib
polyml_5.2.1-1.1_i386.deb interpreter and interactive compiler for the Standard ML programming language
polyorb-doc_2.11~20140418-3_all.deb Multiple-personality middleware for Ada (documentation)
polyorb-servers_2.11~20140418-3_i386.deb Multiple-personality middleware for Ada (servers)
Advertisement
Advertisement